WXC2-MSC-MIB DEFINITIONS ::= BEGIN
IMPORTS
       OBJECT-TYPE, Integer32, Opaque
       FROM SNMPv2-SMI
       TEXTUAL-CONVENTION, DisplayString, TruthValue
       FROM SNMPv2-TC
       App
       FROM WXC2-SMI;

MSC  OBJECT-IDENTITY
         STATUS current 
         DESCRIPTION 
         "
         Subsystems  for msc .
         "
         ::= { App 2 }
--
-- sub system CCF(MSC)
--

CCF(MSC)  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION 
         "
         [SubSystem_Module]Subsystems  for msc .
         "
         ::= { MSC 2 }

CCF_Config  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            "
            Configuration for CCF .
            "
            ::= { CCF(MSC) 2 }

--
-- CCF -> Configuration -> Call Routing
--

Call_Routing  OBJECT-IDENTITY
              STATUS current
              DESCRIPTION
              "
              Call Routing .
              "
              ::= { CCF_Config 1 }

Prefix_Assignment	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
				Instance:     256
				Length   :     8
				Default  :     EEEEEEEEEEEEEEEE				
				Field   :    [1]Prefix 
					{
						[u]0.0-7.7
						[u]input 
						[v]keepHex-low-E
					}	
				Remark:	4 bytes are used to set a 8-digit prefix for dialed number.
					    Prefix is the first layer for dialed number based call routing. If the dialed number of a call matches a pre-programmed prefix in this table, this call will be routed to a certain trunk group, subsequently that trunk group will route this call via a dedicated E1 port.This system has totally 256 prefixes.
					    Dialed number without matching a pre-programmed prefix will be routed to the default trunk group 0.
					    Prefix 252 is for default international call, all internation calls unable to be routed out will be routed from the trunk group assigned to prefix 252, keep default EEEEEEEE.
					    Prefix 253 is for default national call, all national calls unable to be routed out will be routed from the trunk group assigned to prefix 253, keep default EEEEEEEE.
					    Prefix 254 is for default subscriber call, all dialed MSISDN unable to be routed out will be routed from the trunk group assigned to prefix 254, keep default EEEEEEEE.
					     Prefix 255 is for unknown call, all unknown calls unable to be routed out will be routed from the trunk group assigned to prefix 255, keep default EEEEEEEE.
					E=End tag, C='#', B='*'.
					Default=0xEEEEEEEE.
			[End]
			"
			::= { Call_Routing 1 }

Prefix_Attributes	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
				Instance:     256
				Length   :     18
				Default  :     2200EEEEEEEEEEEEEEEE010800EEEEEEEE03
				Flag     :     E10 
				Field    :	 [1]TON incoming call
					{
						[u]0.0-0.3
						[u]select 
						[v]0[opt]Spare 
						[v]1[opt]MSISDN 
						[v]2[opt]Unkown 
						[v]3[opt]NDD 
						[v]4[opt]IDD 
						[v]5[opt]Spare 
					}
					[2]TON outgoing call
					{
						[u]0.4-0.7
						[u]select   
						[v]0[opt]Spare 
						[v]1[opt]MSISDN 
						[v]2[opt]Unkown 
						[v]3[opt]NDD 
						[v]4[opt]IDD 
						[v]5[opt]Spare
					}	
					[3]Out trunk deletion count
					{
						[u]1.0-1.3
						[u]select 
						[v]0[opt]Delete none 
						[v]1[opt]1 
						[v]2[opt]2 
						[v]3[opt]3 
						[v]4[opt]4 
						[v]5[opt]5 
						[v]6[opt]6 
						[v]7[opt]7 
						[v]8[opt]8 
						[v]9[opt]9 
						[v]10[opt]10 
						[v]11[opt]11 
						[v]12[opt]12 
						[v]13[opt]13 
						[v]14[opt]14 
						[v]15[opt]15 
					}
					[4]Out trunk insertion count
					{
						[u]1.4-1.7
						[u]select 
						[v]0[opt]Insert none 
						[v]1[opt]1 
						[v]2[opt]2 
						[v]3[opt]3 
						[v]4[opt]4 
						[v]5[opt]5 
						[v]6[opt]6 
						[v]7[opt]7 
						[v]8[opt]8 
						[v]9[opt]9 
						[v]10[opt]10 
						[v]11[opt]11 
						[v]12[opt]12 
						[v]13[opt]13 
						[v]14[opt]14 
						[v]15[opt]15 
					}
					[5]Out trunk inserted digits
					{
						[u]2.0-9.7
						[u]input 
						[v]keepHex-low-E 
					}
					[6]CDR on/off
					{
						[u]10.0-10.0
						[u]select 
						[v]0[opt]Off 
						[v]1[opt]On 
					}
					[7]Reserved
					{
						[u]10.1-10.1
						[u]select 
					}
					[8]Properties
					{
						[u]10.2-10.3
						[u]select 
						[v]0[opt]Trunk 
						[v]1[opt]MSISDN 
						[v]2[opt]MSRN 
						[v]3[opt]MSC 
					}
					[9]Call type
					{
						[u]10.4-10.6
						[u]select 
						[v]0[opt]Normal Call 
						[v]1[opt]Emergency 
						[v]2[opt]MCT 
						[v]3[opt]VMS 
						[v]4[opt]IN 
					}
					[10]Enable
					{
						[u]10.7-10.7
						[u]select 
						[v]0[opt]N 
						[v]1[opt]Y 
					}
					[11]Length of dialed number
					{
						[u]11.0-11.7
						[u]input 
						[v]toDec-high-0 
					}
					[12]E.164 International deletion count
					{
						[u]12.0-12.3
						[u]select 
						[v]0[opt]Delete none 
						[v]1[opt]Delete first one 
						[v]2[opt]Delete first two 
						[v]3[opt]Delete first three 
						[v]4[opt]Delete first four 
						[v]5[opt]Delete first five 
						[v]6[opt]Delete first six 
						[v]7[opt]Delete first seven 
						[v]8[opt]Delete first eight 
					}
					[13]E.164 International insertion count
					{
						[u]12.4-12.7
						[u]select 
						[v]0[opt]Insert none 
						[v]1[opt]Insert first one 
						[v]2[opt]Insert first two 
						[v]3[opt]Insert first three 
						[v]4[opt]Insert first four 
						[v]5[opt]Insert first five 
						[v]6[opt]Insert first six 
						[v]7[opt]Insert first seven 
						[v]8[opt]Insert first eight 
					}
					[14]E.164 international inserted digits
					{
						[u]13.0-16.7
						[u]input 
						[v]keepHex-low-E 
					}
					[15]Cli-type
					{
						[u]17.0-17.7
						[u]select 
						[v]0[opt]Sub 
						[v]1[opt]NDD 
						[v]2[opt]IDD 
						[v]3[opt]Unknown(local) 
						[v]4[opt]Unknown(NDD) 
						[v]5[opt]Unknown(IDD)
					}
					Remark:	Enable: Y=prefix enable, N=prefix disable.
						TON incoming call: Type of number for incoming call, include unknown, MSISDN, NDD and IDD. It is specified by originating node for terminating node to route this call with proper dialed number manipulation. 
						For system subscriber dialed prefix, always use unknown for In-TON except the prefix of international prefix beginning with a . For this kind of prefix (such as 86755832) we should set the In-TON as IDD to support dialing.
						TON outgoing call: Type of number for outgoing call, include unknown, MSISDN, NDD and IDD. It specifies the type of an outgoing call for terminating node to route this call with proper dialed number manipulation. Generally the MSC uses IDD for outgoing call.
						Out trunk deletion count: Quantity of deleted digit of a dialed number beginning with this prefix. It ranges from 0 to 8. 0=no deletion, 1-8=delete first 1-8 digits.
						Out trunk insertion count: Quantity of inserted digit for a dialed number beginning with this prefix. It ranges from 0 to 8. 0=no insertion, 1-8=insert 1-8 digits from the beginning of this number.
						Out trunk inserted digits: 8 digits ranging from EEEEEEEE to 99999999, E=any decimal number.
						CDR on/off: Turn on/off the CDR of dialed numbers beginning with this prefix.
						Properties: Specify the properties of a prefix. Trunk=to PSTN, MSISDN=to A interface, MSRN=MS roaming number, MSC=to peer MSC.
						Call type: Normal=no verification for MT, Emergency call=no verification for MO (free call), MCT=Malicious Call Trace, VMS call=send signaling carried DTMF to VMS.
						Length of dialed number: Length of dialed number (1-32).
						E.164 international deletion count: Quantity of deleted digit of E164 international number, always use IDD for outgoing call for PPS debiting.
						E.164 international insertion count: Quantity of inserted digit of E164 international number, always use IDD for outgoing call for PPS debiting.
						E.164 international inserted digits: Inserted digit to the E164 international number, 8 digits ranging from EEEEEEEE to 99999999, E=any decimal number, always use IDD for outgoing call for PPS debiting.
			[End]
			"
			::= { Call_Routing 2 }
  
Prefix_TG	OBJECT-TYPE
		    SYNTAX     OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
		DESCRIPTION
		"
		[Begin]
			Instance:     256
			Length   :     1
			Default  :     00
			Field:
			[1]Assign TG to prefix
			{
				[u]0.0-0.7
				[u]input 
				[v]toDec-high-0
			}
			Remark:	Assign a trunk group for each prefix for call routing, a single prefix points to only one trunk group, multiple prefix can be assigned the same trunk group, default is the no. of the prefix. 
		[End]
		"
		::= { Call_Routing 3 }
  
TG_Attributes	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
				Instance:     256
				Length   :    10
				Default  :     00000000000000000000000000
				Flag     :     E2
				Field:		   [1]DPC
				                {
									[u]0.0-3.7
									[u]input
									[v]keepHex-high-0
								}
								[2]TG flag
								{
									[u]4.0-4.0 
									[u]select
									[v]0[opt]Disable
									[v]1[opt]Enable
								}
								[3]CDR on/off
								{
									[u]4.1-4.1
									[u]select
									[v]0[opt]Off
									[v]1[opt]On
								}
								[4]Announcement
								{
									[u]4.2-4.2
									[u]select
									[v]0[opt]Off
									[v]1[opt]On
								}
								[5]TG category
								{
									[u]4.3-4.5
									[u]select
									[v]0[opt]PSTN
									[v]1[opt]HPLMN
									[v]2[opt]VHLMN
									[v]3[opt]SUB
									[v]4[opt]IP
									[v]5[opt]Intercept
								}
								[6]Alternative TG flag
								{
									[u]4.6-4.6
									[u]select
									[v]0[opt]Disable
									[v]1[opt]enable
								}
								[7]Loopback
								{
									[u]4.7-4.7
									[u]select
									[v]0[opt]Disable
									[v]1[opt]Enable
								}
								[8]Network indicator
								{
									[u]5.0-5.7
									[u]select
									[v]0[opt]International
									[v]1[opt]International spare 
									[v]2[opt]National
									[v]3[opt]National spare 
								}
								[9]Circuit selection
								{
									[u]6.0-6.1
									[u]select
									[v]0[opt]Clockwise
									[v]1[opt]Anti-clockwise
									[v]2[opt]Odd
									[v]3[opt]Even
								}
								[10]Back off
								{
									[u]6.2-6.2
									[u]select
									[v]0[opt]Off
									[v]1[opt]On
								}
								[11]Reserved
								{
									[u]6.3-6.4
									[u]select
								}
								[12]MPTY
								{
									[u]6.5-6.5
									[u]select
									[v]0[opt]Disable
									[v]1[opt]Enable
								}
								[13]Location
								{
									[u]6.6-6.7
									[u]select
									[v]0[opt]MSC-0
									[v]1[opt]MSC-1
									[v]2[opt]Both
									[v]3[opt]Spare
								}
								[14]Alternative TG
								{
									[u]7.0-7.7
									[u]input
									[v]toDec-high-0
								}
								[15]Tandem restriction
								{
									[u]8.0-8.7
									[u]select
									[v]0[opt]Disable
									[v]1[opt]Enable
								}
								[16]Incoming Call type
								{
									[u]9.0-9.7
									[u]select
									[v]0[opt]Normal
									[v]1[opt]IN
								}
					Remark:	DPC: Destination point code of this trunk group.
						TG flag: enable or disable this trunk group.
						CDR on/off: CDR on or off option for this trunk group.
						Announcement: Voice announcement enable or disable for this trunk group.
						TG category: PSTN=to PSTN, IP=to VMS and VPS, HPLMN=to HPLMN, VPLMN=to VPLMN, SUB=to BSC, Intercept=to intercept LEA
						Alternative TG flag: Alternative trunk group enable or disable option.
						Alternative TG: Alternative trunk group for backup purpose.
						Loop back: Incoming call loop back enable or disable, used for MSC loop back.
						Network indicator: Specify network type, International, International spare , National, National spare.
						Circuit selection: Preferred circuit selection mode, include clockwise, anti-clockwise, odd and even.
						Back off: Back off on or off when simultaneously select the same channel with the opposite side.
						Location: For normal trunk group, select Both. For a trunk group to a VPS, configure this trunk group as MSC0 or MSC1.
						MPTY: Multi-party call enable or disable. For all trunk groups to BSC, select Enable.
						Tandem restriction:Y: Tandem disabled. Not support transit call from PSTN to PSTN via this trunk group.
						N: Tandem enabled. Support transit call from PSTN to PSTN via this trunk group.
			[End]
			"
			::= { Call_Routing 4 }
  
Call_Routing_CDR_Flag	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
				Instance:   1
				Length   :  2
				Default  :  03FF 				
				Field   :       [1]Reserved
					       {
							[u]0.3-0.7
							[u]select
					        }
						[2]Redirection
						{
							[u]0.3-0.3
							[u]select
							[v]0[opt]off
							[v]1[opt]on
						}
						[3]Feature Request
						{
							[u]0.2-0.2
							[u]select
							[v]0[opt]off
							[v]1[opt]on
						}
							[4]Sorm
							{
								[u]0.1-0.1
								[u]select
								[v]0[opt]off 
								[v]1[opt]on
							}
							[5]MCT
							{
								[u]0.0-0.0
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[6]MT SM
							{
								[u]1.7-1.7
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							
							}
							[7]MO SM
							{
								[u]1.6-1.6
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[8]Transit call
							{
								[u]1.5-1.5
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[9]Gateway outgoing call
							{
								[u]1.4-1.4
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[10]Gateway incoming call
							{
								[u]1.3-1.3
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[11]Roaming call
							{
								[u]1.2-1.2
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[12]MT call
							{
								[u]1.1-1.1
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
							[13]MO call
							{
								[u]1.0-1.0
								[u]select 
								[v]0[opt]off 
								[v]1[opt]on 
							}
				Remark:	Sorm: call intercept   MCT: malicious call trace
					    Default=CDR of MO call and MT call is enabled, CDR of roaming call, gateway incoming call, gateway outgoing call, transit call, MO SMS and MT SMS is disabled.
			[End]
			"
			::= { Call_Routing 5 }
  
Voice_Prompt_Announcement_option	OBJECT-TYPE
						SYNTAX        OCTET STRING
						MAX-ACCESS    read-write
						STATUS        current
						DESCRIPTION
						"
						[Begin]
						Instance :     1
						Length   :     16
						Default  :     00000000000000000000000000000000
						Field    :     [1]Announcement 0
									   {
										    [u]0.0-0.7
										    [u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}										
										[2]Announcement 1
										{
											[u]1.0-1.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[3]Announcement 2
										{
											[u]2.0-2.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										
										[4]Announcement 3
										{
											[u]3.0-3.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
										[v]3[opt]lease line
										}
										
										
										
										
										[5]Announcement 4
										{
											[u]4.0-4.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										
										[6]Announcement 5
										{
											[u]5.0-5.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										
										[7]Announcement 6
										{
											[u]6.0-6.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										[8]Announcement 7
										{
											[u]7.0-7.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										
										[9]Announcement 8
										{
											[u]8.0-8.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										[10]Announcement 9
										{
											[u]9.0-9.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[11]Announcement 10
										{
											[u]10.0-10.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[12]Announcement 11
										{
											[u]11.0-11.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										
										[13]Announcement 12
										{
											[u]12.0-12.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[14]Announcement 13
										{
											[u]13.0-13.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[15]Announcement 14
										{
											[u]14.0-14.7
											[u]select
											[v]0[opt]None
											[v]1[opt]Tone
											[v]2[opt]Voice
											[v]3[opt]lease line
										}
										
										[16]Announcement 15
										{
											 [u]15.0-15.7
											 [u]select
											 [v]0[opt]None
											 [v]1[opt]Tone
											 [v]2[opt]Voice
											 [v]3[opt]lease line
										}

						Remark   :	   Set to play either announcement or tone indicating call unattainable reason for subscribers. System has total 8 announcements and tones that can be independently set.
										Announcement 0: The dialed number is invalid.
										Announcement 1: The subscriber dialed is not activated.
										Announcement 2: The subscriber is busy.
										Announcement 3: The network is busy.
										Announcement 4: Caller's account was deactivated.
										Announcement 5: The subscriber dialed was deactivated.
										Announcement 6: Feature not available to caller.
										Announcement 7: The subscriber dialed is not available.
						[End]
						"
						::= { Call_Routing 6 }
  
Call_Routing_Warning	OBJECT-TYPE
						SYNTAX        OCTET STRING
						MAX-ACCESS    read-write
						STATUS        current
						DESCRIPTION
						"
						[Begin]
						Instance:     1
						Length   :     1
						Default  :     32
						Field    :    [1]Remanent time for warning tone
									  {
									      [u]00.0-00.7
									      [u]input
										  [v]toDec-high-0
									  }
						Remark   :Set time to play prompt tone for reaching zero balance prepaid subscriber when a call is in progress, unit is second. e.g. if set as 60, the system will play prompt tone one minute before a subscriber uses up his balance.
						[End]
						"
						::= { Call_Routing 7 }
  

           
--
-- CCF -> Configuration -> MSC
--


CCF_MSC	OBJECT-IDENTITY
	STATUS current
	DESCRIPTION
	"CCF Configuration MSC ."
	::= { CCF_Config 2 }
               
Emergency_Call	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
				Instance:    256
				Length   :   21
				Default  :   0000000000EEEEEEEEEEEEEEEE112EEEEEEEEEEEEE 
				Flag     :  E1
				Field    :   [1]Enable flag
				             {
					             [u]00.0-00.7
					             [u]select 
					             [v]0[opt]Disable 
					             [v]1[opt]Enable 
				             }
				             [2]LAC
				             {
					             [u]01.0-02.7
					             [u]input 
					             [v]toDec-high-0 
				             }
				             [3]CI
				             {
					             [u]03.0-04.7
					             [u]input 
					             [v]toDec-high-0 
				             }
				             [4]Dial number
				             {
					             [u]05.0-12.7
					             [u]input 
					             [v]keepHex-low-E 
				             }
				             [5]Local emergency number
				             {
					             [u]13.0-20.7
					             [u]input 
					             [v]keepHex-low-E 
				             }
				Remark:   Emergency call number. Default=112.
				[End]
				"
				::= { CCF_MSC 5 }

Location_Management	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
					Instance:     256
					Length   :     8
					Default  :     0000000000000000
					Flag    :    E1
					Field    :  [1]Enable
					            {
						            [u]0.0-0.7
						            [u]select
									[v]0[opt]N
									[v]1[opt]Y
								}
								[2]TG
								{
									[u]01.0-01.7
									[u]input
									[v]toDec-high-0
								}
								[3]LAC
								{
									[u]02.0-03.7
									[u]input
									[v]toDec-high-0
								}
								[4]CI
								{
									[u]04.0-05.7
									[u]input
									[v]toDec-high-0
								}
								[5]Zone Code
								{
									[u]06.0-07.7
									[u]input
									[v]toDec-high-0
								}
					Remark  :Manage the MS location by correlate TG (trunk group), LAC (location area code, cell ID and zone code, totally 256 location management.
					[End]
					"
					::= { CCF_MSC 8 }

    
        
--
-- CCF -> Configuration -> CPC Management
--


CPC	OBJECT-IDENTITY
	STATUS current
	DESCRIPTION
	"CPC Management."
	::= { CCF_Config 3 }

SRF_Address	OBJECT-TYPE
			SYNTAX        OCTET STRING
			MAX-ACCESS    read-write
			STATUS        current
			DESCRIPTION
			"
			[Begin]
				Instance:      1
				Length   :     8
				Default  :     8675500000000009
				Field    :     [1]EIR number
							  {
					               [u]00.0-07.7
					               [u]input
								   [v]keepHex-low-E
							  }
			Remark:   E.164 number of HLR server:HLR MSISDN used for SCCP addressing, F=end tag.
			          Default=91867555950502FFFF=91867555950502.
			[End]
			"
			::= { CPC 3 }

Max_Call_Duration	OBJECT-TYPE
					SYNTAX        OCTET STRING
					MAX-ACCESS    read-write
					STATUS        current
					DESCRIPTION
					"
					[Begin]
					Instance:     1
					Length   :     1
					Default  :     3C
					Field    :    [1]Max. call duration
					              {
					                 [u]0.0-0.7
					                 [u]input
									 [v]toDec-high-0 
								  }
					Remark  :    Define the permitted maximum call duration. Any ongoing call reaching this duration threshold will be compulsively cut off. byte value: 0=disable this function, 1-255=max. call duration, unit=minute. Default=0.
					[End]
					"
					::= { CPC 7 }

--
-- CCF -> Configuration -> E1 Port
--


E1_Port	OBJECT-IDENTITY
		STATUS	current
		DESCRIPTION
		"E1 Port."
		::= { CCF_Config 4 }

E1_Interface	OBJECT-TYPE
				SYNTAX        OCTET STRING
				MAX-ACCESS    read-write
				STATUS        current
				DESCRIPTION
				"
				[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :   	[1]E1 interface
				               {
												[u]0.0-0.7
												[u]select
												[v]0[opt]TUP
												[v]1[opt]ISUP
												[v]2[opt]AIF
												[v]3[opt]AIF CDMA2K
												[v]4[opt]BICC
												[v]5[opt]CI-CNF
												[v]6[opt]CI-loopback
							       }
				Remark:   Set the type of E1 interface for 256 E1 ports. 
			[End]
			"
				::= { E1_Port 1 }

E1_TG	OBJECT-TYPE
		SYNTAX        OCTET STRING
		MAX-ACCESS    read-write
		STATUS        current
		DESCRIPTION
		"
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     EE
			    Field    :    [1]Assign TG
				              {
					              [u]0.0-0.7 
					              [u]input
								  [v]toDec-high-0
							  }
		Remark  :Assign a trunk group to each E1 port for call routing. A single E1 port points to only one trunk group, multiple E1 port can be assigned the same trunk group. Default=number of the E1 port. 
		[End]
		"
		::= { E1_Port 2 } 
               
E1_CIC	OBJECT-TYPE
		SYNTAX        OCTET STRING
		MAX-ACCESS    read-write
		STATUS        current
		DESCRIPTION
		"
		[Begin]
				Instance:     256
				Length   :     4
				Default  :     00000000
				Field    :    [1]E1 CIC
				              {
				                [u]0.0-3.7
				                [u]input
								         [v]toDec-high-0
							           }
		       Remark    :Circuit identity code, uniquely identify each circuit within a trunk group. CIC of both ends of a circuit must be identical. 256 CIC for dual MSC platform 256 E1 ports. 
		[End]
		"
		::= { E1_Port 3 }                

E1_Media_Control_Attributes  OBJECT-TYPE
							SYNTAX        OCTET STRING
							MAX-ACCESS    read-write
							STATUS        current
		DESCRIPTION
		"
		[Begin]
				Instance:     256
				Length   :     4
				Default  :     00000000
				Field    :    [1]E1 Control Protocol Type
				              {
				                [u]0.0-0.7
				                [u]select
								        [v]0[opt]Internal
								        [v]1[opt]MGCP
							       }
								[2]E1 Enable
							  {
							    [u]1.0-1.7
							    [u]select
								  [v]0[opt]Disable
								  [v]1[opt]Enable
							  }
								[3]MG Number
								{
									[u]2.0-2.7
									[u]input
									[v]toDec-high-0
								}
									[4]Trunk Number
								{
									[u]3.0-3.7
									[u]input
									[v]toDec-high-0
								}
		        Remark    :E1 Media Control Attributes
		[End]		
		"
		::= { E1_Port 4 }   

--
-- CCF -> Configuration -> Channel attributes
--


Channel_Attributes	OBJECT-IDENTITY
					STATUS current
					DESCRIPTION
					"Channel attributes."
					::= { CCF_Config 5 }

Card0_Channel	OBJECT-TYPE
				SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
				"
				[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               	::= { Channel_Attributes 1 }

Card1_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               	::= { Channel_Attributes 2 }

Card2_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               	::= { Channel_Attributes 3 }

Card3_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               	::= { Channel_Attributes 4 }

Card4_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               	::= { Channel_Attributes 5 }

Card5_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 6 }

Card6_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 7 }

Card7_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 8 }

Card8_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 9 }

Card9_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 10 }

Card10_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
               	"
        [Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 11 }

Card11_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 12 }

Card12_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               ::= { Channel_Attributes 13 }

Card13_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               ::= { Channel_Attributes 14 }

Card14_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 15 }

Card15_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 16 }

Card16_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 17 }

Card17_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 18 }

Card18_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 19 }

Card19_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 20 }

Card20_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               ::= { Channel_Attributes 21 }

Card21_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 22 }

Card22_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               ::= { Channel_Attributes 23 }

Card23_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 24 }

Card24_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 25 }

Card25_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 26 }

Card26_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 27 }

Card27_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 28 }

Card28_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
               	"
        [Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 29 }

Card29_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
	[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 30 }

Card30_Channel  	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End] 
				"
               ::= { Channel_Attributes 31 }

Card31_Channel  OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-write
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     3
				Default  :     05EEEE
				Flag     :     E1
				Field    :    [1]Channel flag
				              {
					              [u]00.0-00.0
					              [u]select
								  [v]0[opt]disable
								  [v]1[opt]enable
							  }
							  [2]Channel type
							  {
								  [u]00.1-00.2
								  [u]select
								  [v]0[opt]incoming
								  [v]1[opt]outgoing
								  [v]2[opt]bi-direction
								  [v]3[opt]lease
							  }
							  [3]Reserved
							  {
								  [u]00.3-00.7
								  [u]select
							  }
							  [4]LCCP card (0-15)
							  {
								  [u]01.0-01.3
								  [u]input
								  [v]toDec-high-0
							  }
							  [5]Reserved
							  {
								  [u]01.4-01.7
								  [u]select
							  }
							  [6]LCCP timeslot (1-15, 17-31)
							  {
								  [u]02.0-02.4
								  [u]input
								  [v]toDec-high-0
							  }
							  [7]LCCP E1 (0-7)
							  {
								  [u]02.5-02.7
								  [u]input
								  [v]toDec-high-0
							  }
				Remark:    Set lease circuit of MSC. Each 8K E1 Card has 256 configurable channels.
						   LCCP card (0-15)=Lease circuit connected 8K E1 Card (0-15).
						   LCCP E1 (0-7)=Lease circuit connected E1 (0-7).
						   LCCP timeslot=Lease circuit connected timeslot (1-15,17-31).
						   Default=0x05EEEE.
				[End]
				"
               ::= { Channel_Attributes 32 }
--
--CCF -> CPC_attributes
--

CPC_attributes	OBJECT-IDENTITY
					STATUS current
					DESCRIPTION
					"CPC attributes."
					::= { CCF_Config 6 }
MSCID  OBJECT-TYPE
        SYNTAX        OCTET STRING
        MAX-ACCESS    read-write
        STATUS        current
        DESCRIPTION
        "
	     [Begin]
				Instance:      1
				Length   :     3
				Default  :     000000
                Field    :	  [1]Market ID
                              {
				                [u]0.0-1.7
				                [u]input
								[v]toDec-high-0
							  }
								[2]Switch Number
							  {
								[u]2.0-2.7
								[u]input
								[v]toDec-high-0
							   }
				Remark:		MSCID
			  [End]
			  "
			  ::= { CPC_attributes 3 }			  
		  
--
-- CCF -> Media_gateway
--

Media_gateway  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            "Media_gateway ."
            ::= { CCF_Config 7 }	

MG_Attribute	OBJECT-TYPE
        SYNTAX        OCTET STRING
        MAX-ACCESS    read-only
        STATUS        current
        DESCRIPTION
        "
         	[Begin]
				Instance:     256
				Length   :     53
				Default  :     0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
	            Field   :	[1]MG Enable
	                        {
					            [u]0.0-0.7
					            [u]select
								[v]0[opt]Disable
								[v]1[opt]Enable
							}
							[2]MG IP Address
							{
								[u]1.0-4.7
								[u]input
								[v]keepHex-high-0
							}
								[3]MG Name
								{
									[u]5.0-52.7
									[u]input
									[v]toAscii-low-0
								}
				Remark:		MG Attributes 
				[End]
				"
        ::= { Media_gateway 1 }                   		  

--
-- CCF -> CCF_Status 
--

CCF_Status  OBJECT-IDENTITY
              STATUS current
               DESCRIPTION
                 "Status for CCF ."
               ::= { CCF(MSC) 3 }

Version	OBJECT-TYPE
        SYNTAX        OCTET STRING
       MAX-ACCESS    read-only
       STATUS        current
       DESCRIPTION
        "
	[Begin]
				Instance:     1
				Length   :     3
				Default  :     000000
				Field    :    
	           Remark   :   Version of MSC software (Read only).<br>
				Byte0: System release version number, based on basic function and structure.<br>
				Byte1: Software module version number, based on software module.<br>
				Byte2: Test version, 0=Release version number, 1=Test version number..
	           [End]
           "
       ::= { CCF_Status 1 }               

Command	OBJECT-TYPE
        SYNTAX OCTET STRING
        MAX-ACCESS    read-write
        STATUS        current
        DESCRIPTION
        "
	[Begin]
				Instance:     1
				Length   :     1
				Default  :     EE
				Flag     :     S1.3
				Field    :    [1]Command
				              {
				                [u]0.0-0.7
				                [u]select 
				                [v]90[opt]Reset 
				                [v]165[opt]Initialize 
				                [v]181[opt]Save parameter
				                [v]238[opt]No command
				              } 
				Remark:        Control command for MSC-CPC.
		Reset: Used for CPC status initialization.
			   Initialize: Restore the parameter setup to the default factory setting.
			   Save parameter: Save the parameters residing in CPC's memory into CPC's harddisk.
       [End]
		"
        ::= { CCF_Status 2 }

E1_Status	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-only
           	STATUS        current
            DESCRIPTION
            "
	       [Begin]
				Instance:     128
				Length   :     1
				Default  :     EE
				Field    :      [1]Quantity of occupied timeslot
				               {
				                [u]0.0-0.4
				                [u]input
								[v]toDec-high-0
								}
								
								[2]E1 type
								{
								[u]0.5-0.7
								[u]select
								[v]0[opt]TUP
								[v]1[opt]ISUP
								[v]2[opt]AIF
								[v]3[opt]AIF_CDMA2K
								[v]4[opt]BICC
								}
	           Remark     : E1 status (read only). 
	        [End]
	        "
            ::= { CCF_Status 4 }  

Channel_Status  OBJECT-IDENTITY
              	STATUS current
               	DESCRIPTION
                "Channel status (read only)."
               ::= { CCF_Status 5 }

Card0_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               	::= { Channel_Status 1 }

Card1_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
               ::= { Channel_Status 2 }

Card2_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 3 }

Card3_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 4 }

Card4_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
               ::= { Channel_Status 5 }

Card5_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select 
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
               ::= { Channel_Status 6 }

Card6_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		      [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
               ::= { Channel_Status 7 }

Card7_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		     [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 8 }

Card8_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		    [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
                ::= { Channel_Status 9 }

Card9_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		     [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 10 }

Card10_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		     [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 11 }

Card11_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
                [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		       "
               ::= { Channel_Status 12 }

Card12_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		[Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 13 }

Card13_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		       [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 14 }

Card14_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
		       [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		        "
               ::= { Channel_Status 15 }

Card15_Status	OBJECT-TYPE
              	SYNTAX        OCTET STRING
           		MAX-ACCESS    read-only
           		STATUS        current
               	DESCRIPTION
                "
	             [Begin]
				Instance:     256
				Length   :     1
				Default  :     00
				Field    :     [1]Timeslot status
				               {
					                 [u]0.0-0.7
					                 [u]select
									[v]0[opt]Disable
									[v]1[opt]Idle
									[v]2[opt]Busy
									[v]3[opt]Local blocked							   
								    [v]4[opt]Remote blocked
								 }
		       Remark:   Card Channel status (read only). 
		       [End]
		         "
               ::= { Channel_Status 16 }               

--
-- sub system VLR
--

VLR  OBJECT-IDENTITY
         STATUS current
         DESCRIPTION
         "
         [SubSystem_Module]sub  for VLR . 
         "
         ::= { MSC 5 }

--
-- VLR -> Configuration
--

VLR_Config  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            "
            Configuration for VLR .
            "
            ::= { VLR 2 }

Public_Param  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            "Public parameters . "
            ::= { VLR_Config 1 }

OptAuthReq	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance :     1
				Length   :     1
				Default  :     00
				Field    :	    [1]Update Location
				                { 
					                [u]00.0-00.0
					                [u]select
									[v]0[opt]No authetication
									[v]1[opt]Authetication
								}
								[2]MO
								{
									[u]00.1-00.1
									[u]select
									[v]0[opt]No authetication
									[v]1[opt]Authetication
								}
								[3]MT
								{
									[u]00.2-00.2
									[u]select
									[v]0[opt]No authetication
									[v]1[opt]Authetication
								}
								[4]Spare
								{
									[u]00.3-00.7
									[u]input
									[v]toDec-high-0
								}
	                  Remark :Flag of SIM authentication on MS poweron and MO/MT call. 
	                  [End]
	                  "
            ::= { Public_Param 1 }

OptReuseTriplets	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     00
				Field    :    [1]OptReuseTriplets
				              {
				                [u]00.0-00.0
				                [u]select
								[v]0[opt]Disable
								[v]1[opt]Enable
							  }
						[2]double authentication
						{	
						  [u]00.1-00.1
						  [u]select
							[v]0[opt]Disable
							[v]1[opt]Enable
						}
						[3]Spare
						{
						[u]00.2-00.7
						[u]input
							[v]toDec-high-0
						}
	          Remark:  Flag of reusing authentication triplets in VLR in the case that authentication to HLR is not available. Default=disable. 
	          [End]
	          "
            ::= { Public_Param 2 }

OptCipReq	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	        [Begin]
				Instance:     1
				Length   :     1
				Default  :     00
				Field    :    [1]OptCipReq
				              {
					              [u]00.0-00.7
					              [u]select
								  [v]0[opt]Disable
								  [v]1[opt]Enable
							   }
	           Remark : Flag of voice ciphering over air interface by MS. Default=Disable. 
	        [End]
	        "
            ::= { Public_Param 3 }

OptCiphAlgo	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     4
				Default  :     00000000
				Field    :    [1]OptCiphAlgo
				              {
				                [u]00.0-00.7
				                [u]select
								[v]0[opt]None
								[v]1[opt]A5_1
								[v]2[opt]A5_2
								[v]3[opt]A5_3
								[v]4[opt]A5_4
								[v]5[opt]A5_5
								[v]6[opt]A5_6
								[v]7[opt]A5_7
							   }
	           Remark  : Voice ciphering algorithm selection. Default=no ciphering. 
	           [End]
	           "
            ::= { Public_Param 4 }

OptTmsiAlloc	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     01
				Field    :    [1]TMSI Allocation Option
				              {
				                [u]0.0-0.7
				                [u]select
								[v]0[opt]Disable
								[v]1[opt]Allocate TMSI
								[v]2[opt]Reallocate TMSI
							  }
	            Remark   :Flag of allocating a new TMSI every time a call management service is requested. Default=Disable.
	          [End]
	           "
            ::= { Public_Param 5 }

OptEcSetUpAllow	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     01
				Field    :     [1]OptEcSetUpAllow
				               {
					                [u]00.0-00.7
					                [u]select
									[v]0[opt]Disable
									[v]1[opt]Enable
								}
	            Remark :   Flag of making emergency call for non-registered MS or MS without SIM. Default=Enable.
	            [End]
	             "
            ::= { Public_Param 7 }

OptCheckIMEI	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     00
				Field    :    [1]Update Location
				              {
				                [u]00.0-00.0
				                [u]select
								[v]0[opt]No IMEI verification
								[v]1[opt]IMEI verification
							  }
							  [2]MO
							  {
								[u]00.1-00.1
								[u]select
								[v]0[opt]No IMEI verification
								[v]1[opt]IMEI verification
							   }
							[3]MT
							{
								[u]00.2-00.2
								[u]select
								[v]0[opt]No IMEI verification
								[v]1[opt]IMEI verification
							}
								[4]Spare
							{
								[u]00.3-00.7
								[u]input
								[v]toDec-high-0
							}
	             Remark : Flag of IMEI verification via EIR. Default=no IMEI verification. 
	             [End]
	             "
            ::= { Public_Param 8 }

OptVlrPurge	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     00
				Field    :     [1]OptVlrPurge
				               {
				                 [u]00.0-00.7
				                 [u]select
									[v]0[opt]Off
									[v]1[opt]On
							  }
	           Remark    :   Flag of VLR purge. Default=Off.
	           [End]
	           "
            ::= { Public_Param 9 }

IdlePeriod2Purge	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:      1
				Length   :     1
				Default  :     3C
				Field    :    [1]IdlePeriod2Purge
				              {
								[u]00.0-00.7
								[u]input
								[v]toDec-high-0
							  }
	            Remark :  Set the threshold of idle time to purge. If a mobile's idle time reaches this threshold, VLR will purge all records of this MS, unit=6 minute. Default=60minutes. 
	            [End]
	            "
            ::= { Public_Param 10 }

CDR_Flag	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:     1
				Length   :     1
				Default  :     01
				Field    :    [1]CDR on/off
				              {
				                 [u]00.0-00.7
				                 [u]select
								[v]0[opt]Off
								[v]1[opt]On
							  }
	            Remark :   VLR CDR flag. Default=On. 
	            [End]
	            "
            ::= { Public_Param 11 }

MSRN		OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-write
           	STATUS        current
            DESCRIPTION
            "
	            [Begin]
				Instance:     1
				Length   :     16
				Default  :     8675531240000FFF8675531241000FFF
				Field    :  [3]Start number
							{
					            [u]00.0-07.7
					            [u]input
					            [v]keepHex-low-F
				            }
				            [4]End number
				            {
					            [u]08.0-15.7
					            [u]input
					            [v]keepHex-low-F
				            }
	          Remark :  Mobile station roaming number, use 16 bytes (32 digits) to define a range of MSRN. The length of start MSRN and end MSRN must be identical. F=end tag. 
	          [End]
	           "
            ::= { Public_Param 13 }

--
-- VLR -> Management
--

VLR_Management  OBJECT-IDENTITY
            STATUS current
            DESCRIPTION
            "
            Management for VLR .
            "
            ::= { VLR 3 }

Version		OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-only
           	STATUS        current
            DESCRIPTION
            "
            [Begin]
				Instance:     1
				Length   :     3
				Default  :     000000
				Field    :
	            Remark   :   Version of VLR software (Read only).
							Byte0: System release version number, based on basic function and structure.
							Byte1: Software module version number, based on software module.
							Byte2: Test version, 0=Release version number, 1=Test version number.  
			[End]
			"
            ::= { VLR_Management 2 }

Command 	OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    write-only
           	STATUS        current
            DESCRIPTION
            "
	    [Begin]
				Instance:      1
				Length   :     1
				Default  :     EE
				Flag     :    S1.2
				Field    :     [1]Management
				               {
				                  [u]00.0-00.7
				                  [u]select
							      [v]0[opt]Reset VLR
								  [v]1[opt]Save parameters
							   }
		        Remark   :  Control command for VLR.
							          Reset: Used to initialize the status of VLR.
							          Save parameters: Save the parameters residing in memory into harddisk.
			[End]
			"
            ::= { VLR_Management 3 }

Status		OBJECT-TYPE
            SYNTAX        OCTET STRING
           	MAX-ACCESS    read-only
           	STATUS        current
            DESCRIPTION
            "
	            [Begin]
				Instance:     1
				Length   :     1
				Default  :     00
				Field    :         
	            Remark   :Basic status of VLR.
	            [End]
	        "
            ::= { VLR_Management 4 }

END
